List Accounts
GET/v1/linked_accounts
Returns a list of Financial Connections Account objects.
Query parameters
account_holderobjectIf present, only return accounts that belong to the specified account holder.
account_holder[customer]andaccount_holder[account]are mutually exclusive.Show 3 child parameters
accountstringcustomerstringcustomer_accountstring
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
sessionstringIf present, only return accounts that were collected as part of the given session.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of financial_connections.account objects.
curl -G https://api.knoxapi.com/v1/linked_accounts \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/linked_accounts', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/linked_accounts", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/linked_accounts', {
limit: 3,
}){
"object": "list",
"url": "/v1/linked_accounts",
"has_more": false,
"data": [
{
"account_holder": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer"
},
"balance": {
"as_of": 93102340,
"current": {
"undefined": 1126940025
},
"type": "cash"
},
"balance_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"category": "cash",
"created": 1234567890,
"display_name": "Sample Checking Account",
"id": "fca_1Pgc76B7WZ01zgkWqlYVCIub",
"institution_name": "StripeBank",
"last4": "6789",
"livemode": false,
"object": "financial_connections.account",
"ownership": null,
"ownership_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"permissions": [],
"status": "active",
"subcategory": "checking",
"subscriptions": [],
"supported_payment_method_types": [
"us_bank_account"
],
"transaction_refresh": {
"id": "obj_123",
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"account_numbers": null
}
]
}Retrieve an Account
GET/v1/linked_accounts/{account}
Retrieves the details of an Financial Connections Account.
Path parameters
accountstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The financial_connections.account object.
curl https://api.knoxapi.com/v1/linked_accounts/acct_1PgafTB7WZ01zgkW \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/linked_accounts/acct_1PgafTB7WZ01zgkW")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW'){
"account_holder": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer"
},
"balance": {
"as_of": 93102340,
"current": {
"undefined": 1126940025
},
"type": "cash"
},
"balance_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"category": "cash",
"created": 1234567890,
"display_name": "Sample Checking Account",
"id": "fca_1Pgc76B7WZ01zgkWqlYVCIub",
"institution_name": "StripeBank",
"last4": "6789",
"livemode": false,
"object": "financial_connections.account",
"ownership": null,
"ownership_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"permissions": [],
"status": "active",
"subcategory": "checking",
"subscriptions": [],
"supported_payment_method_types": [
"us_bank_account"
],
"transaction_refresh": {
"id": "obj_123",
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"account_numbers": null
}Disconnect an Account
POST/v1/linked_accounts/{account}/disconnect
Disables your access to a Financial Connections Account. You will no longer be able to access data associated with the account (e.g. balances, transactions).
Path parameters
accountstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The financial_connections.account object.
curl -X POST https://api.knoxapi.com/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/disconnect \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/disconnect');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/disconnect")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/disconnect'){
"account_holder": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer"
},
"balance": {
"as_of": 93102340,
"current": {
"undefined": 1126940025
},
"type": "cash"
},
"balance_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"category": "cash",
"created": 1234567890,
"display_name": "Sample Checking Account",
"id": "fca_1Pgc76B7WZ01zgkWqlYVCIub",
"institution_name": "StripeBank",
"last4": "6789",
"livemode": false,
"object": "financial_connections.account",
"ownership": null,
"ownership_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"permissions": [],
"status": "active",
"subcategory": "checking",
"subscriptions": [],
"supported_payment_method_types": [
"us_bank_account"
],
"transaction_refresh": {
"id": "obj_123",
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"account_numbers": null
}List Account Owners
GET/v1/linked_accounts/{account}/owners
Lists all owners for a given Account
Path parameters
accountstringRequired
Query parameters
ownershipstringRequiredThe ID of the ownership object to fetch owners from.
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of financial_connections.account_owner objects.
curl -G https://api.knoxapi.com/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/owners \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode ownership=fcaowns_1Pgc76B7WZ01zgkWuEXUc7bGconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/owners', {
ownership: 'fcaowns_1Pgc76B7WZ01zgkWuEXUc7bG',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/owners", ownership="fcaowns_1Pgc76B7WZ01zgkWuEXUc7bG")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/owners', {
ownership: 'fcaowns_1Pgc76B7WZ01zgkWuEXUc7bG',
}){
"object": "list",
"url": "/v1/linked_accounts",
"has_more": false,
"data": [
{
"email": "[email protected]",
"id": "fcaown_1Pgc76B7WZ01zgkWIQ4dVcgH",
"name": "Jane Smith",
"object": "financial_connections.account_owner",
"ownership": "fcaowns_1Pgc76B7WZ01zgkWuEXUc7bG",
"phone": "+1 555-555-5555",
"raw_address": "123 Main Street, Everytown USA",
"refreshed_at": 1234567890
}
]
}Refresh Account data
POST/v1/linked_accounts/{account}/refresh
Refreshes the data associated with a Financial Connections Account.
Path parameters
accountstringRequired
Body parameters
featuresarray of stringsRequiredThe list of account features that you would like to refresh.
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The financial_connections.account object.
curl https://api.knoxapi.com/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/refresh \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "features[]=balance"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/refresh', {
features: ['balance'],
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/refresh", features=["balance"])require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/linked_accounts/acct_1PgafTB7WZ01zgkW/refresh', {
features: ['balance'],
}){
"account_holder": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer"
},
"balance": {
"as_of": 93102340,
"current": {
"undefined": 1126940025
},
"type": "cash"
},
"balance_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"category": "cash",
"created": 1234567890,
"display_name": "Sample Checking Account",
"id": "fca_1Pgc76B7WZ01zgkWqlYVCIub",
"institution_name": "StripeBank",
"last4": "6789",
"livemode": false,
"object": "financial_connections.account",
"ownership": null,
"ownership_refresh": {
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"permissions": [],
"status": "active",
"subcategory": "checking",
"subscriptions": [],
"supported_payment_method_types": [
"us_bank_account"
],
"transaction_refresh": {
"id": "obj_123",
"last_attempted_at": 1981828143,
"next_refresh_available_at": null,
"status": "failed"
},
"account_numbers": null
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.